Method: networks.yieldGroups.batchUpdate

Batch updates YieldGroup objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/yieldGroups:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where YieldGroups will be updated. Format: networks/{networkCode} The parent field in the UpdateYieldGroupRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateYieldGroupRequest)
    }
  ]
}
Fields
requests[]

object (UpdateYieldGroupRequest)

Required. The YieldGroup objects to update. A maximum of 10 objects can be updated in a batch.

Response body

Response object for yieldGroups.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "yieldGroups": [
    {
      object (YieldGroup)
    }
  ]
}
Fields
yieldGroups[]

object (YieldGroup)

The YieldGroup objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateYieldGroupRequest

Request object for yieldGroups.patch method.

JSON representation
{
  "yieldGroup": {
    object (YieldGroup)
  },
  "updateMask": string
}
Fields
yieldGroup

object (YieldGroup)

Required. The YieldGroup to update.

The YieldGroup's name is used to identify the YieldGroup to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".